#!/usr/bin/env python
# -*- coding: utf-8 -*-

import time
import subprocess
import json
from board import SCL, SDA
import busio
from PIL import Image, ImageDraw, ImageFont
import adafruit_ssd1306
import adafruit_bme280
import adafruit_ccs811

i2c = busio.I2C(SCL, SDA)

disp = adafruit_ssd1306.SSD1306_I2C(128, 32, i2c)
bme280 = adafruit_bme280.Adafruit_BME280_I2C(i2c,address=0x76)
ccs811 = adafruit_ccs811.CCS811(i2c)

disp.fill(0)
disp.show()
width = disp.width
height = disp.height
image = Image.new("1", (width, height))
draw = ImageDraw.Draw(image)
draw.rectangle((0, 0, width, height), outline=0, fill=0)
padding = -2
top = padding
bottom = height - padding
x = 0
font = ImageFont.load_default()
cmd = "hostname -I | cut -d' ' -f1"

while True:
    sensor_data ={"temp":0.0,"humi":0.0,"pres":0.0,"co2":0,"voc":0}

    IP = subprocess.check_output(cmd, shell=True).decode("utf-8")

    sensor_data["temp"] = round(bme280.temperature,1)
    sensor_data["humi"] = round(bme280.humidity,1)
    sensor_data["pres"] = round(bme280.pressure,1)
    sensor_data["co2"]  = ccs811.eco2
    sensor_data["voc"]  = ccs811.tvoc
    draw.rectangle((0, 0, width, height), outline=0, fill=0)
    draw.text((x, top + 0), "IP: " + IP, font=font, fill=255)
    draw.text((x, top + 8), "Tmp:" + str(sensor_data["temp"]) + "C/" + "Hum:" + str(se$
    draw.text((x, top + 16),"Pres:" + str(sensor_data["pres"]) + "hPa", fill=255)
    draw.text((x, top + 25),"CO2:" + str(sensor_data["co2"]) + "ppm/"+"VOC:"+ str(sens$
    disp.image(image)
    disp.show()
    time.sleep(0.5)

    try:
        with open('/home/ubuntu/program/sensor.json','w') as f:
            json.dump(sensor_data, f)
    except:
        pass